net.ME1312.SubServers.Client.Bukkit

## Class SubPlugin

- java.lang.Object
- - org.bukkit.plugin.PluginBase
  - - org.bukkit.plugin.java.JavaPlugin
    - - net.ME1312.SubServers.Client.Bukkit.SubPlugin

All Implemented Interfaces:
  org.bukkit.command.CommandExecutor, org.bukkit.command.TabCompleter, org.bukkit.command.TabExecutor, org.bukkit.plugin.Plugin

    public final class SubPlugin
    extends org.bukkit.plugin.java.JavaPlugin

### Field Summary

Fields
`UIListener` `gui`
`YAMLSection` `lang`
`YAMLConfig` `pluginconf`
`SubDataClient` `subdata`
`Version` `version`

### Constructor Summary

Constructors
Constructor and Description
`SubPlugin()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `onDisable()`
`void` `onEnable()`

### Methods inherited from class org.bukkit.plugin.java.JavaPlugin

`getCommand, getConfig, getDatabase, getDatabaseClasses, getDataFolder, getDefaultWorldGenerator, getDescription, getLogger, getPlugin, getPluginLoader, getProvidingPlugin, getResource, getServer, isEnabled, isInitialized, isNaggable, onCommand, onLoad, onTabComplete, reloadConfig, saveConfig, saveDefaultConfig, saveResource, setNaggable, toString`

### Methods inherited from class org.bukkit.plugin.PluginBase

`equals, getName, hashCode`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### pluginconf

    public YAMLConfig pluginconf

#### lang

    public YAMLSection lang

#### subdata

    public SubDataClient subdata

#### gui

    public UIListener gui

#### version

    public Version version

### Constructor Detail

#### SubPlugin

    public SubPlugin()

### Method Detail

#### onEnable

    public void onEnable()

Specified by:
  `onEnable` in interface `org.bukkit.plugin.Plugin`
Overrides:
  `onEnable` in class `org.bukkit.plugin.java.JavaPlugin`

#### onDisable

    public void onDisable()

Specified by:
  `onDisable` in interface `org.bukkit.plugin.Plugin`
Overrides:
  `onDisable` in class `org.bukkit.plugin.java.JavaPlugin`